- block:
  - name: copy bbcp binary
    copy:
      src: /mnt/flashblade/bbcp/bbcp
      dest: /usr/local/bin
      mode: 0777

  - name: copy libcrypto.so.6
    copy:
      src: /mnt/flashblade/bbcp/libcrypto.so.6
      dest: /usr/lib
      mode: 0777

  - name: install sshpass
    apt:
      name: sshpass
      state: present

  - name: ensure data transfer directory exists
    file:
      path: /etc/data_transfer
      state: directory
      mode: 0777

  - name: ensure that prestage dir has 0777 permission
    file:
      path: /prestage
      state: directory
      mode: 0777

  - name: copy file transport script
    template:
      src: bw_node_copy.py.template
      dest: /etc/data_transfer/bw_node_copy.py
      mode: 0777
      owner: root
      group: root

  become: yes
